package verbindung

import (
	"fmt"
	"sqmAufgabeTracing/artefakt"
)

type Verbindung struct {
	von     *artefakt.Artefakt
	nach    *artefakt.Artefakt
	prozent int
}

func New(von *artefakt.Artefakt, nach *artefakt.Artefakt, prozent int) *Verbindung {
	ergebnis := &Verbindung{von: von, nach: nach, prozent: prozent}
	return ergebnis
}

func (v *Verbindung) GetVon() *artefakt.Artefakt {
	return v.von
}

func (v *Verbindung) GetNach() *artefakt.Artefakt {
	return v.nach
}

func (v *Verbindung) GetProzent() int {
	return v.prozent
}

func (v *Verbindung) SetProzent(prozent int) {
	v.prozent = prozent
}

func (v *Verbindung) String() string {
	//fmt.Println("m: ", m.Faehigkeiten)
	return fmt.Sprintf("[%s -> %s %d%%]", v.von, v.nach, v.prozent)
}
